Index: /trunk/SRC/ToBeReviewed/CALCULS/moyenne.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/CALCULS/moyenne.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/CALCULS/moyenne.pro	(revision 114)
@@ -95,4 +95,7 @@
                   , _extra = ex
 ;---------------------------------------------------------
+;
+  compile_opt idl2, strictarrsubs
+;
 @cm_4mesh
 @cm_4data
@@ -575,5 +578,5 @@
   terre = where(divi EQ 0)
   IF terre[0] NE -1 THEN BEGIN
-    res(terre) = 1e+20
+    res[terre] = 1e+20
   ENDIF  
 ;------------------------------------------------------------
Index: /trunk/SRC/ToBeReviewed/CALCULS/norme.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/CALCULS/norme.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/CALCULS/norme.pro	(revision 114)
@@ -70,4 +70,7 @@
 FUNCTION norme, composanteu, composantev, BOXZOOM = boxzoom, DIREC = direc, _extra = ex
 ;---------------------------------------------------------
+;
+  compile_opt idl2, strictarrsubs
+;
 @cm_4mesh
 @cm_4data
@@ -197,10 +200,10 @@
 ; construction de u et v aux pts T
 ;-----------------------------------------------------------
-         a=u(0,*,*)
+         a=u[0,*,*]
          u=(u+shift(u,1,0,0))/2.
-         if NOT keyword_set(key_periodic) OR nx NE jpi then u(0,*,*)=a
-         a=v(*,0,*)
+         if NOT keyword_set(key_periodic) OR nx NE jpi then u[0,*,*]=a
+         a=v[*,0,*]
          v=(v+shift(v,0,1,0))/2.
-         if NOT keyword_set(key_periodic) OR nx NE jpi then v(*,0,*)=a
+         if NOT keyword_set(key_periodic) OR nx NE jpi then v[*,0,*]=a
 ;----------------------------------------------------------------------------
 ; attribution du mask et des tableau de longitude et latitude
@@ -215,8 +218,8 @@
          if landv[0] NE -1 then v[landv] = 0
          res=sqrt(u^2+v^2)
-         if NOT keyword_set(key_periodic) OR nx NE jpi then res(0,*, *)=!values.f_nan
-         res(*,0, *)=!values.f_nan
+         if NOT keyword_set(key_periodic) OR nx NE jpi then res[0,*, *]=!values.f_nan
+         res[*,0, *]=!values.f_nan
          mask = where(mask eq 0)
-         IF mask[0] NE -1 THEN res(mask) = valmask
+         IF mask[0] NE -1 THEN res[mask] = valmask
 ; moyennes en tous genres
          domdef, (glamt[indice2d])[0, 0], (glamu[indice2d])[nx-1, 0],(gphit[indice2d])[0, 0], (gphiv[indice2d])[0, ny-1], vert1, vert2, /meme
@@ -257,10 +260,10 @@
 ; construction de u et v aux pts T
 ;-----------------------------------------------------------
-         a=u(0,*,*)
+         a=u[0,*,*]
          u=(u+shift(u,1,0,0))/2.
-         if NOT keyword_set(key_periodic) OR nx NE jpi then u(0,*,*)=a
-         a=v(*,0,*)
+         if NOT keyword_set(key_periodic) OR nx NE jpi then u[0,*,*]=a
+         a=v[*,0,*]
          v=(v+shift(v,0,1,0))/2.
-         if NOT keyword_set(key_periodic) OR nx NE jpi then v(*,0,*)=a
+         if NOT keyword_set(key_periodic) OR nx NE jpi then v[*,0,*]=a
 ;----------------------------------------------------------------------------
 ; attribution du mask et des tableau de longitude et latitude
@@ -280,6 +283,6 @@
          if landv[0] NE -1 then v[landv] = 0
          res=sqrt(u^2+v^2)
-         if NOT keyword_set(key_periodic) OR nx NE jpi then res(0,*, *)=!values.f_nan
-         res(*,0, *)=!values.f_nan
+         if NOT keyword_set(key_periodic) OR nx NE jpi then res[0,*, *]=!values.f_nan
+         res[*,0, *]=!values.f_nan
          mask = where(mask eq 0)
          IF mask[0] NE -1 THEN BEGIN 
@@ -288,5 +291,5 @@
             mask = (temporary(mask))[*]#replicate(1, jpt)
             mask =temporary(mask[*]) + temporary(coeftps[*])
-            res(temporary(mask)) = valmask
+            res[temporary(mask)] = valmask
          ENDIF
 ; moyennes en tous genres
@@ -344,10 +347,10 @@
 ; construction de u et v aux pts T
 ;-----------------------------------------------------------
-         a=u(0,*,*,*)
+         a=u[0,*,*,*]
          u=(u+shift(u,1,0,0,0))/2.
-         if NOT keyword_set(key_periodic) OR nx NE jpi then u(0,*,*,*)=a
-         a=v(*,0,*,*)
+         if NOT keyword_set(key_periodic) OR nx NE jpi then u[0,*,*,*]=a
+         a=v[*,0,*,*]
          v=(v+shift(v,0,1,0,0))/2.
-         if NOT keyword_set(key_periodic) OR nx NE jpi then v(*,0,*,*)=a
+         if NOT keyword_set(key_periodic) OR nx NE jpi then v[*,0,*,*]=a
 ;----------------------------------------------------------------------------
 ; attribution du mask et des tableau de longitude et latitude
@@ -362,6 +365,6 @@
          if landv[0] NE -1 then v[landv] = 0
          res=sqrt(u^2+v^2)
-         if NOT keyword_set(key_periodic) OR nx NE jpi then res(0,*, *, *)=!values.f_nan
-         res(*,0, *, *)=!values.f_nan
+         if NOT keyword_set(key_periodic) OR nx NE jpi then res[0,*, *, *]=!values.f_nan
+         res[*,0, *, *]=!values.f_nan
          mask = where(mask eq 0)
          IF mask[0] NE -1 THEN BEGIN 
@@ -370,5 +373,5 @@
             mask = (temporary(mask))[*]#replicate(1, jpt)
             mask =temporary(mask[*]) + temporary(coeftps[*])
-            res(temporary(mask)) = valmask
+            res[temporary(mask)] = valmask
          ENDIF
 ; moyennes en tous genres
@@ -416,10 +419,10 @@
 ; construction de u et v aux pts T
 ;-----------------------------------------------------------
-         a=u(0,*)
+         a=u[0,*]
          u=(u+shift(u,1,0))/2.
-         if NOT keyword_set(key_periodic) OR nx NE jpi then u(0,*)=a
-         a=v(*,0)
+         if NOT keyword_set(key_periodic) OR nx NE jpi then u[0,*]=a
+         a=v[*,0]
          v=(v+shift(v,0,1))/2.
-         if NOT keyword_set(key_periodic) OR nx NE jpi then v(*,0)=a
+         if NOT keyword_set(key_periodic) OR nx NE jpi then v[*,0]=a
 ;----------------------------------------------------------------------------
 ; attribution du mask et des tableau de longitude et latitude
@@ -439,8 +442,8 @@
          if landv[0] NE -1 then v[landv] = 0
          res=sqrt(u^2+v^2)
-         if NOT keyword_set(key_periodic) OR nx NE jpi then res(0,*)=!values.f_nan
-         res(*,0)=!values.f_nan
+         if NOT keyword_set(key_periodic) OR nx NE jpi then res[0,*]=!values.f_nan
+         res[*,0]=!values.f_nan
          mask = where(mask eq 0)
-         IF mask[0] NE -1 THEN res(mask) = valmask
+         IF mask[0] NE -1 THEN res[mask] = valmask
 ; moyennes en tous genres
          domdef, (glamt[indice2d])[0, 0], (glamu[indice2d])[nx-1, 0],(gphit[indice2d])[0, 0], (gphiv[indice2d])[0, ny-1], vert1, vert2, /meme
Index: /trunk/SRC/ToBeReviewed/CALCULS/projectondepth.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/CALCULS/projectondepth.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/CALCULS/projectondepth.pro	(revision 114)
@@ -53,4 +53,7 @@
 ;------------------------------------------------------------
 FUNCTION projectondepth, arrayin, depthin
+;
+  compile_opt idl2, strictarrsubs
+;
    tempsun = systime(1)         ; pour key_performance
 @common
Index: /trunk/SRC/ToBeReviewed/CALCULS/remplit.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/CALCULS/remplit.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/CALCULS/remplit.pro	(revision 114)
@@ -17,4 +17,7 @@
 ;-
 FUNCTION remplit, zinput, NAN = nan, NITER = niter, BASIQUE = basique, mask = mask, FILLXDIR = fillxdir, FILLYDIR = fillydir, FILLVAL = fillval, _extra = ex
+;
+  compile_opt idl2, strictarrsubs
+;
 @common
   tempsun = systime(1)          ; pour key_performance
Index: /trunk/SRC/ToBeReviewed/CALCULS/rhon.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/CALCULS/rhon.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/CALCULS/rhon.pro	(revision 114)
@@ -9,4 +9,7 @@
 ;-
 FUNCTION rhon, sn, tn, INSITU = insitu, SIGMA_N = sigma_n
+;
+  compile_opt idl2, strictarrsubs
+;
 @common
    tempsun = systime(1)         ; pour key_performance
@@ -77,5 +80,5 @@
          END 
       endcase
-      if n_elements(sigma_n) NE 0 then zh = 1000.*sigma_n ELSE zh = gdept(jk)
+      if n_elements(sigma_n) NE 0 then zh = 1000.*sigma_n ELSE zh = gdept[jk]
 ; ...   square root salinity
       zsr= sqrt(abs(zs))
@@ -90,14 +93,14 @@
       case taille[0] of
          0: zrhop    = (zr4*zs + zr3*zsr + zr2)*zs + zr1
-         1: zrhop(jk)= (zr4*zs + zr3*zsr + zr2)*zs + zr1
+         1: zrhop[jk]= (zr4*zs + zr3*zsr + zr2)*zs + zr1
          2:BEGIN 
             if jpt EQ 1 then zrhop = (zr4*zs + zr3*zsr + zr2)*zs + zr1 $
-            ELSE zrhop(jk, *)= (zr4*zs + zr3*zsr + zr2)*zs + zr1
+            ELSE zrhop[jk, *]= (zr4*zs + zr3*zsr + zr2)*zs + zr1
          END
          3:BEGIN 
-            if jpt EQ 1 then zrhop(*, *,jk)= (zr4*zs + zr3*zsr + zr2)*zs + zr1 $
+            if jpt EQ 1 then zrhop[*, *,jk]= (zr4*zs + zr3*zsr + zr2)*zs + zr1 $
              ELSE zrhop = (zr4*zs + zr3*zsr + zr2)*zs + zr1
          END
-         4: zrhop(*, *,jk, *)= (zr4*zs + zr3*zsr + zr2)*zs + zr1
+         4: zrhop[*, *,jk, *]= (zr4*zs + zr3*zsr + zr2)*zs + zr1
       endcase
 
@@ -121,14 +124,14 @@
          case taille[0] of
             0: zrhop = zrhop / (1.0-zh/(zk0-zh*(za-zh*zb)))
-            1: zrhop(jk) = zrhop(jk) / (1.0-zh/(zk0-zh*(za-zh*zb)))
+            1: zrhop[jk] = zrhop[jk] / (1.0-zh/(zk0-zh*(za-zh*zb)))
             2:BEGIN 
                if jpt EQ 1 then zrhop = zrhop / (1.0-zh/(zk0-zh*(za-zh*zb))) $
-               ELSE zrhop(jk, *) = zrhop(jk, *) / (1.0-zh/(zk0-zh*(za-zh*zb)))
+               ELSE zrhop[jk, *] = zrhop[jk, *] / (1.0-zh/(zk0-zh*(za-zh*zb)))
             END
             3:BEGIN 
-               if jpt EQ 1 then zrhop(*, *,jk) = zrhop(*, *,jk) / (1.0-zh/(zk0-zh*(za-zh*zb))) $
+               if jpt EQ 1 then zrhop[*, *,jk] = zrhop[*, *,jk] / (1.0-zh/(zk0-zh*(za-zh*zb))) $
                ELSE zrhop = zrhop / (1.0-zh/(zk0-zh*(za-zh*zb)))
             END
-            4: zrhop(*, *,jk, *) = zrhop(*, *,jk, *) / (1.0-zh/(zk0-zh*(za-zh*zb)))
+            4: zrhop[*, *,jk, *] = zrhop[*, *,jk, *] / (1.0-zh/(zk0-zh*(za-zh*zb)))
          endcase
          
Index: /trunk/SRC/ToBeReviewed/CALENDRIER/def_month.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/CALENDRIER/def_month.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/CALENDRIER/def_month.pro	(revision 114)
@@ -2,4 +2,7 @@
 ;
 ; translate month number in string
+;
+;
+  compile_opt idl2, strictarrsubs
 ;
    IF strpos(date, '_') GT -1 THEN date = strmid(date, 0, strpos(date, '_'))
Index: /trunk/SRC/ToBeReviewed/COULEURS/color24.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/COULEURS/color24.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/COULEURS/color24.pro	(revision 114)
@@ -46,4 +46,7 @@
 
 FUNCTION COLOR24, number
+;
+  compile_opt idl2, strictarrsubs
+;
 
    ; This FUNCTION accepts a [red, green, blue] triple that
@@ -69,6 +72,6 @@
 num24bit = 0L
 
-FOR j=0,2 DO num24bit = num24bit + ((number(j) MOD 16) * base16(0,j)) + $
-   (Fix(number(j)/16) * base16(1,j))
+FOR j=0,2 DO num24bit = num24bit + ((number[j] MOD 16) * base16[0,j]) + $
+   (Fix(number[j]/16) * base16[1,j])
    
 RETURN, num24bit
Index: /trunk/SRC/ToBeReviewed/COULEURS/colorbar.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/COULEURS/colorbar.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/COULEURS/colorbar.pro	(revision 114)
@@ -121,4 +121,7 @@
               PSCOLOR=pscolor, CB_TITLE=cb_title, VERTICAL=vertical, TOP=top, RIGHT=right, CB_LOG = CB_log, _extra = ex
                                 ; Is the PostScript device selected?
+;
+  compile_opt idl2, strictarrsubs
+;
 
    postScriptDevice = (!D.NAME EQ 'PS')
@@ -207,11 +210,11 @@
                                 ; Get starting locations in DEVICE coordinates.
 
-   xstart = position(0) * !D.X_VSIZE
-   ystart = position(1) * !D.Y_VSIZE
+   xstart = position[0] * !D.X_VSIZE
+   ystart = position[1] * !D.Y_VSIZE
 
                                 ; Get the size of the bar in DEVICE coordinates.
 
-   xsize = (position(2) - position(0)) * !D.X_VSIZE
-   ysize = (position(3) - position(1)) * !D.Y_VSIZE
+   xsize = (position[2] - position[0]) * !D.X_VSIZE
+   ysize = (position[3] - position[1]) * !D.Y_VSIZE
 
                                 ; For PostScript output only, draw the annotation in !P.COLOR
Index: /trunk/SRC/ToBeReviewed/COULEURS/getcolor.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/COULEURS/getcolor.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/COULEURS/getcolor.pro	(revision 114)
@@ -181,4 +181,7 @@
 
 FUNCTION COLOR24, number
+;
+  compile_opt idl2, strictarrsubs
+;
 
    ; This FUNCTION accepts a [red, green, blue] triple that
@@ -204,6 +207,6 @@
 num24bit = 0L
 
-FOR j=0,2 DO num24bit = num24bit + ((number(j) MOD 16) * base16(0,j)) + $
-   (Fix(number(j)/16) * base16(1,j))
+FOR j=0,2 DO num24bit = num24bit + ((number[j] MOD 16) * base16[0,j]) + $
+   (Fix(number[j]/16) * base16[1,j])
 
 RETURN, num24bit
@@ -214,4 +217,7 @@
 FUNCTION GETCOLOR, thisColor, index, TRUE=truecolor, $
    NAMES=colornames, LOAD=load, START=start
+;
+  compile_opt idl2, strictarrsubs
+;
 
    ; Set up the color vectors.
@@ -315,5 +321,5 @@
 
 varInfo = SIZE(thisColor)
-IF varInfo(varInfo(0) + 1) NE 7 THEN $
+IF varInfo[varInfo[0] + 1] NE 7 THEN $
    MESSAGE, 'The color name must be a string.'
 thisColor = STRUPCASE(thisColor)
@@ -326,5 +332,5 @@
    ; set the index to a YELLOW color, and continue.
 
-IF colorIndex(0) LT 0 THEN BEGIN
+IF colorIndex[0] LT 0 THEN BEGIN
    MESSAGE, "Can't find color. Returning YELLOW.", /INFORMATIONAL
    colorIndex = 3
@@ -333,7 +339,7 @@
    ; Get the color triple.
 
-r = rvalue(colorIndex)
-g = gvalue(colorIndex)
-b = bvalue(colorIndex)
+r = rvalue[colorIndex]
+g = gvalue[colorIndex]
+b = bvalue[colorIndex]
 returnColor = REFORM([r, g, b], 1, 3)
 
Index: /trunk/SRC/ToBeReviewed/COULEURS/lct.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/COULEURS/lct.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/COULEURS/lct.pro	(revision 114)
@@ -35,4 +35,7 @@
 ;------------------------------------------------------------
 PRO lct, numero, GET_NAME = get_name, LIGHTNESS = Lightness, _EXTRA = ex
+;
+  compile_opt idl2, strictarrsubs
+;
 @common
 ; le mot cle file est passe par l''intermediere de EXTRA?
Index: /trunk/SRC/ToBeReviewed/COULEURS/newpalette.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/COULEURS/newpalette.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/COULEURS/newpalette.pro	(revision 114)
@@ -40,4 +40,7 @@
 ; le mot cle file est passe par l''intermediere de EXTRA?
 ; definition du mon du fichier qui contient les palettes de couleur
+;
+  compile_opt idl2, strictarrsubs
+;
    if n_elements(ex) NE 0 then BEGIN 
       if (where(tag_names(ex) EQ 'FILE'))[0] NE -1 then nompal=ex.FILE ELSE nompal='palette.tbl'
Index: /trunk/SRC/ToBeReviewed/COULEURS/palit.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/COULEURS/palit.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/COULEURS/palit.pro	(revision 114)
@@ -8,4 +8,7 @@
 ;-
 PRO palit, coef, red, green, blue
+;
+  compile_opt idl2, strictarrsubs
+;
    IF n_elements(coef) EQ 0 THEN coef = 0.5
    IF n_elements(red) EQ 0 THEN tvlct, red, green, blue, /get
Index: /trunk/SRC/ToBeReviewed/COULEURS/xlct.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/COULEURS/xlct.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/COULEURS/xlct.pro	(revision 114)
@@ -6,4 +6,7 @@
 PRO XLCT_PSAVE			;Save/Restore our plotting state.
 ;  Swaps our state with the current state each time its called.
+;
+  compile_opt idl2, strictarrsubs
+;
 
 COMMON xlct_com, r0, g0, b0, tfun, state, filename, cps, psave, pnt, $
@@ -25,4 +28,7 @@
 
 pro xlct_alert_caller
+;
+  compile_opt idl2, strictarrsubs
+;
 COMMON xlct_com, r0, g0, b0, tfun, state, filename, cps, psave, pnt, $
 	top, bot, silent, chop, lock, g_lbl, vbot, vtop, g_slider, $
@@ -51,4 +57,7 @@
 ; Redraw the ramp image.
 PRO xlct_show
+;
+  compile_opt idl2, strictarrsubs
+;
 COMMON xlct_com, r0, g0, b0, tfun, state, filename, cps, psave, pnt, $
 	top, bot, silent, chop, lock, g_lbl, vbot, vtop, g_slider, $
@@ -68,4 +77,7 @@
 
 PRO xlct_draw_cps, i, c
+;
+  compile_opt idl2, strictarrsubs
+;
 COMMON colors, r_orig, g_orig, b_orig, r_curr, g_curr, b_curr
 COMMON xlct_com, r0, g0, b0, tfun, state, filename, cps, psave, pnt, $
@@ -86,4 +98,7 @@
 
 PRO xlct_transfer, UPDATE=update
+;
+  compile_opt idl2, strictarrsubs
+;
 COMMON colors, r_orig, g_orig, b_orig, r_curr, g_curr, b_curr
 COMMON xlct_com, r0, g0, b0, tfun, state, filename, cps, psave, pnt, $
@@ -115,4 +130,7 @@
 
 PRO xlct_event, event
+;
+  compile_opt idl2, strictarrsubs
+;
 COMMON colors, r_orig, g_orig, b_orig, r_curr, g_curr, b_curr
 COMMON xlct_com, r0, g0, b0, tfun, state, filename, cps, psave, pnt, $
@@ -430,4 +448,7 @@
           MODAL=modal, BLOCK=block, UPDATECALLBACK=updt_cb_name, $
           UPDATECBDATA=updt_cb_data
+;
+  compile_opt idl2, strictarrsubs
+;
 
    COMMON colors, r_orig, g_orig, b_orig, r_curr, g_curr, b_curr
Index: /trunk/SRC/ToBeReviewed/COULEURS/xpal.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/COULEURS/xpal.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/COULEURS/xpal.pro	(revision 114)
@@ -157,4 +157,7 @@
 ; color maps and set !P appropriately. Returns 1 if the colors changed,
 ; 0 otherwise.
+;
+  compile_opt idl2, strictarrsubs
+;
   common xp_com, xpw, state
 
@@ -176,4 +179,7 @@
 
 pro XP_ALERT_CALLER
+;
+  compile_opt idl2, strictarrsubs
+;
 
   common xp_com, xpw, state
@@ -200,4 +206,7 @@
   ; For visuals with static colormaps, update the graphics
   ; after a change by XLOADCT.
+;
+  compile_opt idl2, strictarrsubs
+;
   if ((COLORMAP_APPLICABLE(redrawRequired) GT 0) and $
         (redrawRequired GT 0)) then begin
@@ -208,4 +217,7 @@
 
 pro XP_REDRAW
+;
+  compile_opt idl2, strictarrsubs
+;
 
   common xp_com, xpw, state
@@ -227,4 +239,7 @@
 ;       - 'G': Draw the data part of the Green plot
 ;       - 'B': Draw the data part of the Blue plot
+;
+  compile_opt idl2, strictarrsubs
+;
 
   common xp_com, xpw, state
@@ -303,4 +318,7 @@
 ;       - 'G': ...
 ;       - 'B': ...
+;
+  compile_opt idl2, strictarrsubs
+;
   common xp_com, xpw, state
   common colors, r_orig, g_orig, b_orig, r_curr, g_curr, b_curr
@@ -348,4 +366,7 @@
 
 pro XP_BUTTON_EVENT, event
+;
+  compile_opt idl2, strictarrsubs
+;
 
    common xp_com, xpw, state
@@ -461,4 +482,7 @@
 
 PRO xp_button_event_event, ev
+;
+  compile_opt idl2, strictarrsubs
+;
 COMMON basecommon,  bas212, bas222,  bas232
   WIDGET_CONTROL, ev.id,  GET_UVALUE = uval
@@ -485,4 +509,7 @@
 
 pro XP_EVENT, event
+;
+  compile_opt idl2, strictarrsubs
+;
 
    common xp_com, xpw, state
@@ -532,4 +559,7 @@
 pro XPAL, group=group, BLOCK=block, UPDATECALLBACK=updt_cb_name, $
         UPDATECBDATA=updt_cb_data
+;
+  compile_opt idl2, strictarrsubs
+;
 
 
Index: /trunk/SRC/ToBeReviewed/GRILLE/changegrid.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/GRILLE/changegrid.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/GRILLE/changegrid.pro	(revision 114)
@@ -1,3 +1,6 @@
 function changegrid, newgrid
+;
+;
+  compile_opt idl2, strictarrsubs
 ;
 @cm_4mesh
Index: /trunk/SRC/ToBeReviewed/GRILLE/cmpgrid.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/GRILLE/cmpgrid.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/GRILLE/cmpgrid.pro	(revision 114)
@@ -1,3 +1,6 @@
 FUNCTION cmpgrid, newgrid
+;
+;
+  compile_opt idl2, strictarrsubs
 ;
 @common
Index: /trunk/SRC/ToBeReviewed/GRILLE/decoupeterre.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/GRILLE/decoupeterre.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/GRILLE/decoupeterre.pro	(revision 114)
@@ -50,4 +50,7 @@
 PRO decoupeterre, mask, glam, gphi, gdep, TYPE = type, TRI = tri, INDICEZOOM = indicezoom, COINMONTE = coinmonte, COINDESCEND = coindescend, WDEPTH = wdepth, REALSECTION = realsection, USETRI = usetri, _extra = ex
 ;---------------------------------------------------------
+;
+  compile_opt idl2, strictarrsubs
+;
 @cm_4mesh
 @cm_4data
Index: /trunk/SRC/ToBeReviewed/GRILLE/domdef.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/GRILLE/domdef.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/GRILLE/domdef.pro	(revision 114)
@@ -105,4 +105,7 @@
 ;------------------------------------------------------------
 ; include commons
+;
+  compile_opt idl2, strictarrsubs
+;
 @cm_4mesh
   IF NOT keyword_set(key_forgetold) THEN BEGIN
Index: /trunk/SRC/ToBeReviewed/GRILLE/f2v.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/GRILLE/f2v.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/GRILLE/f2v.pro	(revision 114)
@@ -39,4 +39,7 @@
 FUNCTION f2v, temp
 ;---------------------------------------------------------
+;
+  compile_opt idl2, strictarrsubs
+;
 @cm_4mesh
 @cm_4data
Index: /trunk/SRC/ToBeReviewed/GRILLE/fmask.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/GRILLE/fmask.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/GRILLE/fmask.pro	(revision 114)
@@ -26,4 +26,7 @@
 FUNCTION fmask
 ;---------------------------------------------------------
+;
+  compile_opt idl2, strictarrsubs
+;
 @cm_4mesh
   IF NOT keyword_set(key_forgetold) THEN BEGIN
Index: /trunk/SRC/ToBeReviewed/GRILLE/grille.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/GRILLE/grille.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/GRILLE/grille.pro	(revision 114)
@@ -64,4 +64,7 @@
 ;------------------------------------------------------------
 ; include commons
+;
+  compile_opt idl2, strictarrsubs
+;
 @cm_4mesh
 @cm_4data
Index: /trunk/SRC/ToBeReviewed/GRILLE/t2v.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/GRILLE/t2v.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/GRILLE/t2v.pro	(revision 114)
@@ -39,4 +39,7 @@
 FUNCTION t2v, temp
 ;---------------------------------------------------------
+;
+  compile_opt idl2, strictarrsubs
+;
 @cm_4mesh
 @cm_4data
Index: /trunk/SRC/ToBeReviewed/GRILLE/tracegrille.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/GRILLE/tracegrille.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/GRILLE/tracegrille.pro	(revision 114)
@@ -59,4 +59,7 @@
                  , _extra = extra
 ;---------------------------------------------------------
+;
+  compile_opt idl2, strictarrsubs
+;
 @cm_4mesh
 @cm_4data
Index: /trunk/SRC/ToBeReviewed/GRILLE/u2t.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/GRILLE/u2t.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/GRILLE/u2t.pro	(revision 114)
@@ -39,4 +39,7 @@
 FUNCTION u2t, temp
 ;---------------------------------------------------------
+;
+  compile_opt idl2, strictarrsubs
+;
 @cm_4mesh
 @cm_4data
Index: /trunk/SRC/ToBeReviewed/GRILLE/umask.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/GRILLE/umask.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/GRILLE/umask.pro	(revision 114)
@@ -40,4 +40,7 @@
 FUNCTION umask
 ;---------------------------------------------------------
+;
+  compile_opt idl2, strictarrsubs
+;
 @cm_4mesh
   IF NOT keyword_set(key_forgetold) THEN BEGIN
Index: /trunk/SRC/ToBeReviewed/GRILLE/v2t.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/GRILLE/v2t.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/GRILLE/v2t.pro	(revision 114)
@@ -39,4 +39,7 @@
 FUNCTION v2t, temp
 ;---------------------------------------------------------
+;
+  compile_opt idl2, strictarrsubs
+;
 @cm_4mesh
 @cm_4data
Index: /trunk/SRC/ToBeReviewed/GRILLE/vmask.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/GRILLE/vmask.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/GRILLE/vmask.pro	(revision 114)
@@ -26,4 +26,7 @@
 ;------------------------------------------------------------
 FUNCTION vmask
+;
+  compile_opt idl2, strictarrsubs
+;
 @common
   tempsun = systime(1)          ; pour key_performance
Index: /trunk/SRC/ToBeReviewed/HOPE/.idlwave_catalog
===================================================================
--- /trunk/SRC/ToBeReviewed/HOPE/.idlwave_catalog	(revision 113)
+++ /trunk/SRC/ToBeReviewed/HOPE/.idlwave_catalog	(revision 114)
@@ -9,6 +9,4 @@
    ("computehopegrid" pro nil (lib "computehopegrid.pro" nil "saxo") "%s, xaxis, yaxis, zaxis, linetype" (nil ("FIRSTS") ("FORTHEMASK") ("LASTS") ("PTTYPE") ("WPOINT")))
    ("createhopestruct" fun nil (lib "createhopestruct.pro" nil "saxo") "Result = %s(event)" (nil))
-   ("testwid_event" pro nil (lib "cw_selectinterval.pro" nil "saxo") "%s, event" (nil))
-   ("testwid" pro nil (lib "cw_selectinterval.pro" nil "saxo") "%s" (nil ("_extra")))
    ("cw_selectinterval_get_value" fun nil (lib "cw_selectinterval.pro" nil "saxo") "Result = %s(id)" (nil))
    ("cw_selectinterval_event" fun nil (lib "cw_selectinterval.pro" nil "saxo") "Result = %s(event)" (nil))
Index: /trunk/SRC/ToBeReviewed/HOPE/completetype.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/HOPE/completetype.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/HOPE/completetype.pro	(revision 114)
@@ -1,4 +1,7 @@
 
 function completetype, typein
+;
+  compile_opt idl2, strictarrsubs
+;
    type=typein
    case type of
Index: /trunk/SRC/ToBeReviewed/HOPE/computehopegrid.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/HOPE/computehopegrid.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/HOPE/computehopegrid.pro	(revision 114)
@@ -33,4 +33,7 @@
 PRO computehopegrid, xaxis, yaxis, zaxis, linetype, FORTHEMASK = forthemask, WPOINT = wpoint, FIRSTS = firsts, LASTS = lasts, PTTYPE = pttype
 ;---------------------------------------------------------
+;
+  compile_opt idl2, strictarrsubs
+;
 @cm_4mesh
 @cm_4data
Index: /trunk/SRC/ToBeReviewed/HOPE/createhopestruct.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/HOPE/createhopestruct.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/HOPE/createhopestruct.pro	(revision 114)
@@ -1,3 +1,6 @@
 FUNCTION createhopestruct, event
+;
+  compile_opt idl2, strictarrsubs
+;
    widget_control, event.top, get_uvalue=top_uvalue
 ; find the selected variable
Index: /trunk/SRC/ToBeReviewed/HOPE/cw_selectinterval.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/HOPE/cw_selectinterval.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/HOPE/cw_selectinterval.pro	(revision 114)
@@ -1,41 +1,50 @@
 
-PRO testwid_event, event
-   widget_control, event.id, get_uvalue=uval
-   if n_elements(uval) EQ 0 then return
-   case uval of
-      'done':widget_control, event.top, /destroy
-      'get':BEGIN
-         id = widget_info(event.top,find_by_uname = 'discret')
-         widget_control, id, get_value = value1
-         help, value1
-         print, 'value1', value1
-         id = widget_info(event.top,find_by_uname = 'continus')
-         widget_control, id, get_value = value2
-         help, value2
-         print, 'value2', value2
-      END
-      ELSE:
-   endcase
-   return
-end
-PRO testwid, _extra = ex
-   base=widget_base(/COLUMN)
-   nothing = widget_label(base, value = 'beginning of the test')
-;
-   nothing = cw_selectinterval(base, 10+indgen(5), _extra = ex, uname = 'discret', uvalue = 'discret')
-   print, nothing
-   nothing = cw_selectinterval(base, indgen(20), _extra = ex, uname = 'continus', uvalue = 'continus')
-   print, nothing
-;
-   nothing = widget_button(base, value = 'get', uvalue = 'get')
-   nothing = widget_button(base, value = 'done', uvalue = 'done')
-   widget_control, base, /REALIZE
-   xmanager,'testwid', base, /no_block
-   return
-end
+; PRO testwid_event, event
+; ;
+;   compile_opt idl2, strictarrsubs
+; ;
+;    widget_control, event.id, get_uvalue=uval
+;    if n_elements(uval) EQ 0 then return
+;    case uval of
+;       'done':widget_control, event.top, /destroy
+;       'get':BEGIN
+;          id = widget_info(event.top,find_by_uname = 'discret')
+;          widget_control, id, get_value = value1
+;          help, value1
+;          print, 'value1', value1
+;          id = widget_info(event.top,find_by_uname = 'continus')
+;          widget_control, id, get_value = value2
+;          help, value2
+;          print, 'value2', value2
+;       END
+;       ELSE:
+;    endcase
+;    return
+; end
+; PRO testwid, _extra = ex
+; ;
+;   compile_opt idl2, strictarrsubs
+; ;
+;    base=widget_base(/COLUMN)
+;    nothing = widget_label(base, value = 'beginning of the test')
+; ;
+;    nothing = cw_selectinterval(base, 10+indgen(5), _extra = ex, uname = 'discret', uvalue = 'discret')
+;    print, nothing
+;    nothing = cw_selectinterval(base, indgen(20), _extra = ex, uname = 'continus', uvalue = 'continus')
+;    print, nothing
+; ;
+;    nothing = widget_button(base, value = 'get', uvalue = 'get')
+;    nothing = widget_button(base, value = 'done', uvalue = 'done')
+;    widget_control, base, /REALIZE
+;    xmanager,'testwid', base, /no_block
+;    return
+; end
 ;--------------------------------------------------------------------------
 ;--------------------------------------------------------------------------
 ;--------------------------------------------------------------------------
 function cw_selectinterval_get_value, id
+;
+  compile_opt idl2, strictarrsubs
+;
    bgroupid=widget_info(id, find_by_uname = 'bgroup')
 ; the widget is a set of button
@@ -60,4 +69,7 @@
 ;--------------------------------------------------------------------------
 function cw_selectinterval_event, event
+;
+  compile_opt idl2, strictarrsubs
+;
    widget_control, event.id, get_uvalue=uval
    case uval.name of
@@ -77,4 +89,7 @@
 ;--------------------------------------------------------------------------
 function cw_selectinterval, parent, vecteur, _extra = ex
+;
+  compile_opt idl2, strictarrsubs
+;
 
    base = widget_base(parent $
Index: /trunk/SRC/ToBeReviewed/HOPE/domainpart.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/HOPE/domainpart.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/HOPE/domainpart.pro	(revision 114)
@@ -1,3 +1,6 @@
 pro domainpart, top_uvalue, basedomain, selected, DESTROY = destroy
+;
+  compile_opt idl2, strictarrsubs
+;
 
    if keyword_set(destroy) then BEGIN
Index: /trunk/SRC/ToBeReviewed/HOPE/findlineandpointtype.pro
===================================================================
--- /trunk/SRC/ToBeReviewed/HOPE/findlineandpointtype.pro	(revision 113)
+++ /trunk/SRC/ToBeReviewed/HOPE/findlineandpointtype.pro	(revision 114)
@@ -22,4 +22,7 @@
 ;                 lonThighodd:modulo = " " ;
 ; }
+;
+  compile_opt idl2, strictarrsubs
+;
    jpi = n_elements(xaxis)
    jpj = n_elements(yaxis)
